%define upstream_name    Dist-Zilla-Role-RepoFileInjector
%define upstream_version 0.009

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Create files outside the build directory
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla::File::InMemory)
BuildRequires: perl(Dist::Zilla::Role::AfterBuild)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Module::Build::Tiny) >= 0.34.0
BuildRequires: perl(Module::Metadata)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Role)
BuildRequires: perl(MooseX::Types)
BuildRequires: perl(MooseX::Types::Moose)
BuildRequires: perl(Path::Tiny) >= 0.22.0
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(if)
BuildRequires: perl(namespace::clean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This role is to be consumed by any plugin that plans to create files
outside the distribution.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc CONTRIBUTING Changes INSTALL LICENCE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.9.0-5.mga10
+ Revision: 2203827
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.9.0-4.mga9
+ Revision: 1809173
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.9.0-3.mga8
+ Revision: 1504312
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.9.0-2.mga7
+ Revision: 1283381
- Mageia 7 Mass Rebuild

* Tue May 01 2018 tv <tv> 0.9.0-1.mga7
+ Revision: 1224191
- update to 0.009

* Mon Oct 02 2017 tv <tv> 0.7.0-2.mga7
+ Revision: 1164279
- rebuild with fixed rpm for missing autodeps

* Sat Sep 23 2017 sander85 <sander85> 0.7.0-1.mga7
+ Revision: 1157910
- update to 0.007

* Sun Jun 19 2016 pterjan <pterjan> 0.6.0-2.mga6
+ Revision: 1026713
- Rebuild for perl 5.22.2

* Thu Apr 28 2016 shlomif <shlomif> 0.6.0-1.mga6
+ Revision: 1007249
- update to 0.006

* Mon Dec 28 2015 shlomif <shlomif> 0.5.0-1.mga6
+ Revision: 916516
- imported package perl-Dist-Zilla-Role-RepoFileInjector


* Mon Dec 28 2015 cpan2dist 0.005-1mga
- initial mageia release, generated with cpan2dist
